update-grml-rescueboot(8)

NAME
update-grml-rescueboot - Script to integrate Grml ISO for booting via GRUB

SYNOPSIS
update-grml-rescueboot [-f] [-t small|full]

DESCRIPTION
grml-rescueboot integrates Grml ISO booting into GRUB. It provides a script for update-grub which looks for Grml ISO images in /boot/grml, and automatically adds an entry for each image. The purpose is to use one of those images to boot a Grml rescue system without using a CD, USB stick or network boot (PXE).

update-grml-rescueboot is a script which checks for the latest stable version of Grml (via download.grml.org), ensures there is enough free disk space in /boot/grml and downloads the ISO to /boot/grml. It verifies the ISO signature and upon success executes update-grub then. Everything should be ready for booting a Grml ISO via GRUB then.

This script makes it even easier to integrate a Grml ISO into GRUB via grml-rescueboot. All that needs to be done is to install grml-rescueboot and then invoke update-grml-rescueboot. Using the -t option, it is possible to use specific Grml ISOs. If this option is not specified, it defaults to the full flavour matching the hardware architecture (amd64 or arm64).

OPTIONS

-f  Force execution, ignoring, e.g. existing ISO files and disk space checks for /boot/grml.

-h  Display usage information and exit script.

-t arg
    Choose Grml flavour, specified via arg. Supported flavours are 'small' and 'full'. If unset defaults to 'full'.

AUTHOR
update-grml-rescueboot was written by Michael Prokop, based on a script by Felipe Sateler.

BUGS
Please report them towards Debian's BTS, see https://bugs.debian.org/grml-rescueboot.